hscolour-1.24: Colourise Haskell code.

Safe Haskell | Safe
Language | Haskell98

Language.Haskell.HsColour.CSS

Description

Formats Haskell source code as HTML with CSS.

Synopsis

- hscolour :: Bool -> Int -> String -> String
- top'n'tail :: String -> String -> String
- renderToken :: (TokenType, String) -> String
- pre :: String -> String

# Documentation

hscolour #

Arguments

:: Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> String | Haskell source code.
-> String | An HTML document containing the coloured Haskell source code.

Formats Haskell source code as a complete HTML document with CSS.

top'n'tail :: String -> String -> String #

renderToken :: (TokenType, String) -> String #

pre :: String -> String #